MyGUI::BiIndexBase Class Reference

`#include <MyGUI_BiIndexBase.h>`

Inheritance diagram for MyGUI::BiIndexBase:
[legend]

## Public Member Functions

virtual | ~BiIndexBase ()=default

## Protected Member Functions

size_t | getIndexCount () const
size_t | insertItemAt (size_t _index)
size_t | removeItemAt (size_t _index)
void | removeAllItems ()
size_t | convertToBack (size_t _index) const
size_t | convertToFace (size_t _index) const
void | swapItemsFaceAt (size_t _index1, size_t _index2)
void | swapItemsBackAt (size_t _index1, size_t _index2)
void | checkIndexes ()

## Detailed Description

Definition at line 17 of file MyGUI_BiIndexBase.h.

## Constructor & Destructor Documentation

## ~BiIndexBase()

virtual MyGUI::BiIndexBase::~BiIndexBase | ( |  | ) |

virtual default

## Member Function Documentation

## checkIndexes()

void MyGUI::BiIndexBase::checkIndexes | ( |  | ) |

protected

Definition at line 142 of file MyGUI_BiIndexBase.cpp.

## convertToBack()

size_t MyGUI::BiIndexBase::convertToBack | ( | size_t | _index | ) | const

protected

Definition at line 101 of file MyGUI_BiIndexBase.cpp.

## convertToFace()

size_t MyGUI::BiIndexBase::convertToFace | ( | size_t | _index | ) | const

protected

Definition at line 110 of file MyGUI_BiIndexBase.cpp.

## getIndexCount()

size_t MyGUI::BiIndexBase::getIndexCount | ( |  | ) | const

protected

Definition at line 13 of file MyGUI_BiIndexBase.cpp.

## insertItemAt()

size_t MyGUI::BiIndexBase::insertItemAt | ( | size_t | _index | ) |

protected

Definition at line 18 of file MyGUI_BiIndexBase.cpp.

## removeAllItems()

void MyGUI::BiIndexBase::removeAllItems | ( |  | ) |

protected

Definition at line 94 of file MyGUI_BiIndexBase.cpp.

## removeItemAt()

size_t MyGUI::BiIndexBase::removeItemAt | ( | size_t | _index | ) |

protected

Definition at line 66 of file MyGUI_BiIndexBase.cpp.

## swapItemsBackAt()

void MyGUI::BiIndexBase::swapItemsBackAt | ( | size_t | _index1,
|  | size_t | _index2 )

protected

Definition at line 131 of file MyGUI_BiIndexBase.cpp.

## swapItemsFaceAt()

void MyGUI::BiIndexBase::swapItemsFaceAt | ( | size_t | _index1,
|  | size_t | _index2 )

protected

Definition at line 119 of file MyGUI_BiIndexBase.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BiIndexBase.h
- MyGUI_BiIndexBase.cpp